Graphical modeller - element (inputs / algorithms) name changes are not reflected in expression
based input
Status: Open

Priority: Normal

Assignee:

Category: Processing/Modeller

Affected QGIS version:3.4.5 Regression?: No
Operating System: Ubuntu 17.10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27108
Description

In QGIS 3.2, changing the names ("parameter name" for inputs and "description” for algorithms) of the elements (inputs / algorithms) in
Graphical Modeller works quite well now.

The name change is reflected in the input of dependent elements in the model (at least for Vector layer, Vector Field and String input).
But when using "expression based input", only the old/original names are visible / can be used.

This is confusing. It would be better if name changes were reflected everywhere in the models.

History

#1 - 2018-09-25 03:54 AM - Nyall Dawson
- Status changed from Open to Feedback

Can you please test with 3.3 nightlies? | believe this to be fixed.

#2 - 2018-09-25 10:01 AM - Havard Tveite

| don't know how much of a problem this is, but it still persists in QGIS 3.3.0-Master (208571a).
When you specify "Pre-calculated Value" for an algorithm parameter (for instance "Distance” in
QGIS Buffer), you get an Expression Dialog. In that dialog, all the parameters shown in bold at
the top of the mid pane have their original names (no name changes are reflected). This applies

to the names of input vector layers, input numeric parameters and input expressions.

#3 - 2019-02-23 08:36 PM - Jiirgen Fischer
- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version. Feel free to reopen if it still applies to a current version and you
have more information that clarify the issue.

#4 - 2019-02-27 11:05 AM - Havard Tveite
- Status changed from Closed to Reopened

The "problem" still exist in 3.4.4.
When you specify "Pre-calculated Value" for an algorithm parameter (for instance "Distance” in
QGIS Buffer), you get an Expression Dialog. In that dialog, all the parameters shown in bold at

the top of the mid pane have their original names in lower case (no name changes are reflected).

This applies to the names of input vector layers, input numeric parameters and input expressions.

#5 - 2019-03-01 09:28 PM - Giovanni Manghi

- Resolution deleted (no timely feedback)

- Affected QGIS version changed from 3.2 to 3.4.5
- Status changed from Reopened to Open
